//Skysphere interface.
//Written by Vladeta Stojanovic (0602920@live.abertay.ac.uk)
//Based o the code written by Frank D. Luna

#ifndef _SKY_H_
#define _SKY_H_

#include "game.h"
#include "d3dwindow.h"

class Sky
{
public:

	Sky(const char * envmapFilename, float skyRadius);
	~Sky();

	IDirect3DCubeTexture9* getEnvMap();
	float getRadius();

	void OnLostDevice();
	void OnResetDevice();

	void draw(D3DXMATRIX pMatrix, D3DXVECTOR3 CamPos);

private:

	ID3DXMesh* mSphere;
	float mRadius;
	IDirect3DCubeTexture9* mSkyMap;
	ID3DXEffect* mSkyFX;
	D3DXHANDLE mhTech;
	D3DXHANDLE mhEnvMap;
	D3DXHANDLE mhWVP;
};

//extern me
extern Sky* gSky;

#endif