//Timer interface. Used for displaying real time rendering stats.

#ifndef _TIMER_H_
#define _TIMER_H_

#include "d3dwindow.h"

class Timer
{
public:

	//class constructor
	Timer();

	//destructor
	~Timer();

	//ID3DXFont specific on lost device function
	void TimerOnLostDevice();

	//ID3DXFont specific on reset device function
	void TimerOnResetDevice();

	//update timer
	void TimerUpdate(float dt);

	//display real time stats function
	void TimerDisplay();

private:
	ID3DXFont* mTimerFont;
	float mFPS;
	float mMSPerFrame;
};

#endif